Typedefs | Enumerations | Functions

# entropy.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct _EntropyInfo | EntropyInfo
## Enumerations
enum | EntropyType { UndefinedEntropy, NoEntropy, ZIPEntropy, BZIPEntropy, LZMAEntropy }
## Functions
WizardExport const StringInfo * | GetEntropyChaos (const EntropyInfo *)
WizardExport EntropyInfo * | AcquireEntropyInfo (const EntropyType, const size_t)
WizardExport EntropyInfo ** | DestroyEntropyInfo (EntropyInfo *)
WizardExport WizardBooleanType | IncreaseEntropy (EntropyInfo *, const StringInfo *, ExceptionInfo *)
WizardExport WizardBooleanType | RestoreEntropy (EntropyInfo *, const size_t, const StringInfo *, ExceptionInfo *)

## Typedef Documentation

typedef struct _EntropyInfo EntropyInfo

## Enumeration Type Documentation

enum EntropyType

Enumerator:

  UndefinedEntropy |
  NoEntropy |
  ZIPEntropy |
  BZIPEntropy |
  LZMAEntropy |

## Function Documentation

WizardExport EntropyInfo* AcquireEntropyInfo | ( | const | EntropyType,
|  | const | size_t |
| ) |  |  |

WizardExport EntropyInfo* * DestroyEntropyInfo | ( | EntropyInfo * |  | ) |

References BZIPEntropy, DestroyBZIPInfo(), DestroyLZMAInfo(), DestroyZIPInfo(), _EntropyInfo::entropy, EntropyDomain, GetWizardModule, _EntropyInfo::handle, LogWizardEvent(), LZMAEntropy, RelinquishWizardMemory(), _EntropyInfo::signature, TraceEvent, WizardAssert, WizardSignature, and ZIPEntropy.

Referenced by GenerateEntropicChaos().

WizardExport const StringInfo* GetEntropyChaos | ( | const EntropyInfo * |  | ) |

References BZIPEntropy, _EntropyInfo::entropy, EntropyDomain, EnumerateError, GetBZIPChaos(), GetLZMAChaos(), GetWizardModule, GetZIPChaos(), _EntropyInfo::handle, LogWizardEvent(), LZMAEntropy, _EntropyInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, WizardSignature, and ZIPEntropy.

Referenced by GenerateEntropicChaos().

WizardExport WizardBooleanType IncreaseEntropy | ( | EntropyInfo * | ,
|  | const StringInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport WizardBooleanType RestoreEntropy | ( | EntropyInfo * | ,
|  | const | size_t,
|  | const StringInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

References BZIPEntropy, _EntropyInfo::entropy, EntropyDomain, EnumerateError, GetWizardModule, _EntropyInfo::handle, LogWizardEvent(), LZMAEntropy, RestoreBZIP(), RestoreLZMA(), RestoreZIP(), _EntropyInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, WizardSignature, and ZIPEntropy.